Function GetJpeg(Byref File As String) As Any Ptr
    
    Dim Dib As FIBITMAP Ptr
    Dim Dib32 As FIBITMAP Ptr
    Dim As Integer SprWidth, SprHeight, SprPitch
    Dim Sprite As Any Ptr
    Dim ImgData As Byte Ptr
    Dim ImgPitch As Integer
    Dim Bits As Byte Ptr
       
    Dib = FreeImage_Load(FIF_JPEG, File, JPEG_DEFAULT)
    If Dib = 0 Then Return 0
   
    FreeImage_FlipVertical( Dib )
    Dib32 = FreeImage_ConvertTo32Bits(Dib)
   
    SprWidth = FreeImage_GetWidth(Dib32)
    SprHeight = FreeImage_GetHeight(Dib32)
    SprPitch = FreeImage_GetPitch(Dib32)
    
    Sprite = imagecreate(SprWidth, SprHeight, 32)
    
    If imageinfo( Sprite, ,,, ImgPitch, ImgData ) = 0 Then 
        
        Bits = FreeImage_GetBits(Dib32)
       
        For y As Integer = 0 To SprHeight - 1
            imageconvertrow( _
                Bits + y * SprPitch, 32, _
                ImgData + y * ImgPitch, 32, _
                SprWidth, _
                0 )
        Next y
        
    End If
    
    FreeImage_Unload(Dib32)
    FreeImage_Unload(Dib)

    Return Sprite
    
End Function

Sub program_exit ()
	
	ImageDestroy(titlescreen)
	
End Sub
