' Load Fonts
font.loadfont(".\fonts\airborne27.xf",1)
font.loadfont(".\fonts\airborne150.xf",2)
font.loadfont(".\fonts\VT220_20.xf",3)
font.loadfont(".\fonts\airborne18.xf",4)
font.loadfont(".\fonts\gils16.xf",5)
font.loadfont(".\fonts\CourierNewBold18.xf",6)

' Load Graphics
If startupres="1280X768" Or startupres="1280X800" Then
	bridge = GetJpeg(".\gfx\bridge1280by768.jpg")
	titlescreen = GetJpeg(".\gfx\TitleScreen1280by768.jpg")
	desk1= GetJpeg(".\gfx\desk11280by768.jpg")
	desk2= GetJpeg(".\gfx\desk21280by768.jpg")
	optionsgfx = GetJpeg(".\gfx\Options1280by768.jpg")
	darkwater = GetJpeg(".\gfx\darkwater1280by768.jpg")
EndIf
If startupres="1280X1024" Then
	bridge = GetJpeg(".\gfx\bridge1280by1024.jpg")
	titlescreen = GetJpeg(".\gfx\TitleScreen1280by1024.jpg")
	desk1= GetJpeg(".\gfx\desk11280by1024.jpg")
	desk2= GetJpeg(".\gfx\desk21280by1024.jpg")
	optionsgfx = GetJpeg(".\gfx\Options1280by1024.jpg")
	darkwater = GetJpeg(".\gfx\darkwater1280by1024.jpg")
EndIf
If startupres="1366X768" Then
	bridge = GetJpeg(".\gfx\bridge1366by768.jpg")
	titlescreen = GetJpeg(".\gfx\TitleScreen1366by768.jpg")
	desk1= GetJpeg(".\gfx\desk11366by768.jpg")
	desk2= GetJpeg(".\gfx\desk21366by768.jpg")
	optionsgfx = GetJpeg(".\gfx\Options1366by768.jpg")
	darkwater = GetJpeg(".\gfx\darkwater1366by768.jpg")
EndIf

refreshview("FULL")
Put (0,0),titlescreen,PSet												' Give you something to look at while we load files
refreshview("")
ScreenLock
font.backcolor = RGBA(255,0,255,0)
font.forecolor = Rgba(255,255,255,255)
font.fontindex = 2
font.drawstring (,"Sea Battle 2.0",63+fontx,51+fonty)
font.forecolor = Rgba(0,0,0,255)
font.drawstring (,"Sea Battle 2.0",62+fontx,50+fonty)
ScreenUnLock

sonarscan = GetJpeg(".\gfx\sonar.jpg")
torpraw = GetJpeg(".\gfx\torpedo.jpg")
missileexp = GetJpeg(".\gfx\MissileExp.jpg")
submarinegfx = GetJpeg(".\gfx\sub.jpg")
engineroom = GetJpeg(".\gfx\engineroom.jpg")
seals = GetJpeg(".\gfx\seals.jpg")
subsurfacing = GetJpeg(".\gfx\subsurfacing.jpg")
subsinking = GetJpeg(".\gfx\subsinking.jpg")
subexplodes = GetJpeg(".\gfx\subexplodes.jpg")
SubFiringMissile(1) = GetJpeg(".\gfx\SubFiringMissile.jpg") 
SubFiringMissile(2) = GetJpeg(".\gfx\SubFiringMissile2.jpg")
shiphit(1) = GetJpeg(".\gfx\Shiphit1.jpg")
shiphit(2) = GetJpeg(".\gfx\Shiphit2.jpg")
shiphit(3) = GetJpeg(".\gfx\Shiphit3.jpg")
shiphit(4) = GetJpeg(".\gfx\Shiphit4.jpg")
shiphit(5) = GetJpeg(".\gfx\Shiphit5.jpg")
screengrab=ImageCreate (401,401,RGB(255,0,255))
screengrab2=ImageCreate (401,1,RGB(255,0,255))
button =ImageCreate (160,40,RGB(255,0,255))
Bload ".\gfx\button.bmp", button
buttonwipe=ImageCreate ( 539,279, RGB(255,0,255))
Get bridge, (740+fontx,488+fonty)-(1278+fontx,766+fonty),buttonwipe
coursegfx= GetJpeg(".\gfx\courses.jpg")
missilegfx = GetJpeg(".\gfx\missile.jpg")
subfire(1)=GetJpeg(".\gfx\fire1.jpg")
subfire(2)=GetJpeg(".\gfx\fire2.jpg")
hittingmine = GetJpeg(".\gfx\hittingmine.jpg")
launchdc(1) = GetJpeg(".\gfx\launchdc.jpg")
launchdc(2) = GetJpeg(".\gfx\launchdc2.jpg")
dc(1) = GetJpeg(".\gfx\dc1.jpg")
dc(2) = GetJpeg(".\gfx\dc2.jpg")
smhq = GetJpeg(".\gfx\smhq.jpg")
sm = GetJpeg(".\gfx\seamonster.jpg")
smfight = GetJpeg(".\gfx\smfight.jpg")
smattackship = GetJpeg(".\gfx\smattackship.jpg")
shiphq = GetJpeg(".\gfx\shiphq.jpg")
arrowright = GetJpeg(".\gfx\arrowright.jpg")
arrowleft = GetJpeg(".\gfx\arrowleft.jpg")

' Get sonar and torpedo graphics
For x= 1 To 35
	objects(x) = ImageCreate (18,18)
	Get sonarscan,((x-1)*18,0)-((x-1)*18+17,17),objects(x)
Next

For x= 1 To 8
	torpgfx(x) = ImageCreate (18,18)
	Get torpraw,((x-1)*18,0)-((x-1)*18+17,17),torpgfx(x)
Next

Restore
For RT=1 To 7
	Read Astring(RT)
Next


Randomize Timer, 1

' Load Sound files
sonarping = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\sonar.ogg",0,0,0)
buttons(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\button1.ogg",0,0,0)
buttons(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\button2.ogg",0,0,0)
buttons(3) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\button3.ogg",0,0,0)
buzz(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\buzz1.ogg",0,0,0)
buzz(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\buzz2.ogg",0,0,0)
buzz(3) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\buzz3.ogg",0,0,0)
computing = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Computing.ogg",0,0,0)
pop = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\pop.ogg",0,0,0)
engine = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\engine.ogg",0,0,0)
CollisionAlarm = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\CollisionAlarm.ogg",0,0,0)
HitByShip = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\HitByShip.ogg",0,0,0)
powerfailure = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\powerfailure.ogg",0,0,0)
HQhit = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\HQhit.ogg",0,0,0)
HitMine = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\HitMine.ogg",0,0,0)
SeaMonster = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\SeaMonster.ogg",0,0,0)
SeaMonsterMiss = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\SeaMonsterMiss.ogg",0,0,0)
converter = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\converter.ogg",0,0,0)
Repaired = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Repaired.ogg",0,0,0)
divealarm = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\divealarm.ogg",0,0,0)
surfacealarm = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\surfacealarm.ogg",0,0,0)
diving = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\diving.ogg",0,0,0)
rising = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\rising.ogg",0,0,0)
surfacing = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\surfacing.ogg",0,0,0)
Creaking = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Creaking.ogg",0,0,0)
crushing = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Crushing.ogg",0,0,0)
MissileFailure = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\MissileFailure.ogg",0,0,0)
BigBang = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\BigBang.ogg",0,0,0)
MissileLaunch = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\MissileLaunch.ogg",0,0,0)
MissileHit = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\MissileHit.ogg",0,0,0)
GeneralAlarm = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\GeneralAlarm.ogg",0,0,0)
torpedofire = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\torpedofire.ogg",0,0,0)
dud = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\dud.ogg",0,0,0)
Blewupland = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Blewupland.ogg",0,0,0) 
hitship = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\hitship.ogg",0,0,0)
depthcharge(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\launchdc1.ogg",0,0,0)
depthcharge(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\launchdc1.ogg",0,0,0)
CriticalAlarm  = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\CriticalAlarm.ogg",0,0,0)
wilhelm = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\wilhelm.ogg",0,0,0)

Depthch(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\depth1.ogg",0,0,0)
Depthch(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\depth2.ogg",0,0,0)
Depthch(3) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\depth3.ogg",0,0,0)
Depthch(4) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\depth4.ogg",0,0,0)
Depthch(5) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\depth5.ogg",0,0,0)
Transmit = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\sfx\Transmit.ogg",0,0,0)
ayesir = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\ayesir.ogg",0,0,0)
fire(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\fire1.ogg",0,0,0)
fire(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\fire2.ogg",0,0,0)
launchmissile(1) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\launchmissile1.ogg",0,0,0)
launchmissile(2) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\launchmissile2.ogg",0,0,0)
launchmissile(3) = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\launchmissile3.ogg",0,0,0)
dive = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\dive.ogg",0,0,0)
surface = FSOUND_SAMPLE_Load(FSOUND_FREE,".\sound\speech\surface.ogg",0,0,0)
