Sub gameinit ()
	For i = 1 To 21
		For j= 1 To 21
			a(i,j)=0
			objectx(i,j)=0
			objecty(i,j)=0
		Next
	Next 
	
	Restore
	For cv=1 To 7
		Read tempstring
	Next

	For x = 1 To 9
		Read subsystem(x)
	Next

	Restore
	For cv=1 To 32
		Read tempstring
	Next
	
	For x= 7 To 13
		For y=7 To 12
			Read a(x,y)
		Next
	Next
	
	s1=10
	s2=10
	a(s1,s2)=2
	Ships = INT(RND*16)+15*(.4+shipxfactor/5)
	
	Restore
	For cv=1 To 16
		Read tempstring
	Next
	
	For x = 1 To (INT(RND*4)+1)*2-1
		Read d8,d9
	Next
	
	For x = 1 To ships
		Do 
			X1 = INT(Rnd*21)+1
			X2 = INT(Rnd*21)+1
		Loop Until a(x1,x2)=0
		a(x1,x2)=3
		objectx(x1,x2)=d8
		objecty(x1,x2)=d9
	Next 
	
	refreshview("FULL")
	Put (0,0),desk2,PSet
	refreshview("")
	font.fontindex = 4
	font.forecolor = Rgba(0,0,0,255)
	font.drawstring(,"To: "+namestring,650+fontx,75+fonty)
	font.drawstring(,"From: Admiral J. Riggle",650+fontx,100+fonty)
	font.drawstring(,"RE: Orders",650+fontx,125+fonty)
	font.drawstring(,"Captain we are under attack.  Enemy ships",650+fontx,175+fonty)
	font.drawstring(,"have surounded our headquarters.  You must",650+fontx,200+fonty)
	font.drawstring(,"destroy "+Str(ships)+" enemy ships.",650+fontx,225+fonty)
	font.drawstring(,"Our headquarters can be used to resupply",650+fontx,275+fonty)
	font.drawstring(,"your submarine two times.  After that you",650+fontx,300+fonty)
	font.drawstring(,"are on your own.",650+fontx,325+fonty)
	font.drawstring(,"Use your sonar to avoid mines that have been",650+fontx,375+fonty)
	font.drawstring(,"place in your area to help destroy enemy",650+fontx,400+fonty)
	font.drawstring(,"ships.  Also keep an eye out for deadly sea",650+fontx,425+fonty)
	font.drawstring(,"monsters.",650+fontx,450+fonty)
	font.drawstring(,"Good luck "+namestring,650+fontx,500+fonty)
	font.drawstring(,"Press any key to start your mission.",700+fontx,700+fonty)
	
	If gameeasy=0 Then 				' Easy game gets base in lagoon!
		Do
			s4 = Int(RND*21)+1
			S3 = INT(Rnd*21)+1
		Loop Until a(s3,s4)=0
	Else
		s4=9
		s3=9
	EndIf
	a(s3,s4)=4		
	
	For X = 1 TO INT(Rnd*8)+8*(.4+minexfactor/5)
		Do
			X2 = INT(Rnd*21)+1
			X1 = INT(Rnd*21)+1
		Loop Until A(X1,X2)=0
		A(X1,X2)=5
	Next 
	
	Restore
	For cv = 1 To 16
		Read tempstring
	Next
	For y=1 To Int(Rnd*8)+1
		Read m1,m2
	Next
	
	For X = 1 To seacount ' 4
		Do
			X2 = INT(Rnd*19)+2
			X1 = INT(Rnd*19)+2
		Loop Until A(X1,X2)=0 
		A(X1,X2)=6
		objectx(x1,x2)=m1
		objecty(x1,x2)=m2
	Next
	
	For i = 1 To 9
		damage(i)=0
	Next
	
	Crew=30
	Power=6000
	Fuel=2500
	Torps=10
	Missiles=3
	Depth=100
	Docks=2
	
	For i=1 To 2
		torpedo(i)=1
		missile(i)=1
	Next
	missile(3)=1
	
	
	tempstring=KeyStroke(2)
	If tempstring="^EXIT" Then program_exit

End Sub

Sub sonar2 ()
	
	Dim com As Byte
	Dim abortflag As Byte
	
	If damage(2)<0 Then
		displayconsole("Sonar is under repair "+namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If crew <6 Then
			displayconsole("Not enough crew to work sonar "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			com=99
			displaybuttons(2)
			abortflag=0
			Do 
				displaymainconsole("Sonar option?")
				tempstring=KeyStroke(4)
				If tempstring="^EXIT" Then program_exit
				If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
				If Asc(tempstring)=48 Or Asc(tempstring)=49 Then com=Val(tempstring)
			Loop Until (com=0 Or com=1 Or abortflag=1)
			If abortflag=0 then
				If com=0 Then
					If soundvol>0 And speech=1 Then playsample(ayesir)
					displayconsole("Aye sir, sending out active ping.")
					displaymainconsole("RESET")
					activesonar=1
					power=power-50
					If power<=0 Then shipoutofpower
				Else
					If soundvol>0 And speech=1 Then playsample(ayesir)
					displayconsole("Aye sir, calculating targeting data.")
					displaymainconsole("RESET")
					sonar3
					power=power-50
					If power<=0 Then shipoutofpower
				EndIf
			Else
				displaymainconsole("RESET")
				displayconsole("Aye sir, command aborted.")
				If soundvol>0 Then playsampled(buzz(3))
			EndIf
		EndIf
	EndIf
	
End Sub

Sub sonar3 ()
	
	Dim b(5) As Integer
	Dim flag As Byte
	Dim x1 As Integer
	Dim y1 As Integer
	Dim x3 As Integer
	Dim x4 As Integer
	
	For i = 1 To 5
		b(i)=0
	Next
	
	If soundvol>0 Then playsample(computing)
	displaymainconsole("Direction   # of ships    Distances")
	Restore
	For X = 1 To 16
		Read tempstring
	Next
	For X = 1 To 8
		tempstring=""
		Read X1,Y1
		X3=0
		flag=0
		For X4 = 1 To 20
			If S1+X1*X4<1 Or S1+X1*X4>21 Or S2+Y1*X4<1 Or S2+Y1*X4>21 Then flag=1
			If flag=0 Then
				If A(S1+X1*X4,S2+Y1*X4)=3 Then
					X3=X3+1
					B(X3)=X4
				EndIf
			EndIf
		Next
		If X3<>0 Then
			tempstring="    "+Str(X)+"           "+Str(X3)+"         "
			For X4 = 1 To X3
				tempstring=tempstring+Str(b(x4))+" "
			Next
		EndIf
		If tempstring<>"" Then displaymainconsole(tempstring)
	Next
	
End Sub
 
Sub surrender ()
	
	youlose
	displaymainconsole("RESET")
	displaymainconsole("Coward!! You're not very patriotic "+Namestring+"!!!")
	displaymainconsole (" ")
	shipsremaining
	gameexit=1
	
End Sub

Sub shipsremaining ()

	displaymainconsole("There are still "+Str(Ships)+" enemy ships left "+Namestring+".")
	displaymainconsole(" ")
	displaymainconsole("You will be demoted to the rank of deck scrubber!!!")
	displaymainconsole (" ")

End Sub

Sub youlose
	
	stopStreamMusic()
	If musicvol>0 Then playStreamMusic (".\sound\music\Stoneworld_Battle.ogg")
	
End Sub

Sub shipoutofpower
	
	If soundvol>0 Then playsampled(powerfailure)
	youlose
	displaymainconsole("RESET")
	displaymainconsole("Atomic pile has gone dead!!! Sub sinks, crew suffocates...")
	displaymainconsole (" ")
	shipsremaining
	gameexit=1
	
End Sub

Sub youwin ()
	
	stopStreamMusic()
	If musicvol>0 Then playStreamMusic (".\sound\music\Falling_Defense.ogg")
	displaymainconsole("RESET")
	displaymainconsole("Good work "+namestring+"!!!  You got them all!!!")
	displaymainconsole(" ")
	displaymainconsole("Promotion and commendations will be given immediately!!!")
	displaymainconsole(" ")
	gameexit=1
	
End Sub

Sub statusdamagereport ()

	If damage(6)<0 Then
		displayconsole("No reports are able to get through "+namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If crew<4 Then
			displayconsole("No on left to give the report "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			displayconsole("Damage control reporting in "+namestring+".")
			If soundvol>0 Then playsampled(pop)
		EndIf
	EndIf

End Sub

Sub navigation ()
	
	Dim distance As Single
	Dim y1 As Integer
	Dim d1 As Single
	Dim pwr As Single
	Dim q1 As Integer
	Dim flag As Byte
	Dim seacheck As Byte
	Dim x3 As Integer
	Dim y3 As Integer
	Dim checknum As Byte
	Dim abortflag As Byte
	Dim dummy As Byte
	
	x=0
	y=0
	x1=0
	y1=0
	abortflag=0
	If damage(1)<0 Then
		displayconsole("Engines are under repair "+Namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If Crew<9 Then
			displayconsole("Not enough crew to man the engines "+Namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			D1=1-((.23+RND/10)*(-(Depth<=50)))
			course(x1,y1,dummy)
			If x1<>-99 Then
				pwr=0
				displaybuttons(5)  
				Do 
					displaymainconsole("RESET")
					displaymainconsole("Power available="+Str(Power)+". Power to use?")
					tempstring=GetString(480,80,1,8,4,"")
					If tempstring="^EXIT" Then program_exit
					If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
					checknum=0
					For x=1 To Len(tempstring)
						If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then checknum=1 
					Next
					If checknum=0 Then pwr=Val(tempstring)
				Loop Until ((pwr>0 and pwr<=power) Or abortflag=1) 
				If abortflag=0 Then
					If soundvol>0 And speech=1 Then playsample(ayesir)
					displayconsole("Aye sir, engines ahead.  Using "+Str(pwr)+" units of power.")
					displaymainconsole("RESET")
					If pwr>1000 Then
						If Rnd>=.43 Then
							If soundvol>0 Then playsampled(powerfailure)
							youlose
							displaymainconsole("RESET")
							displaymainconsole ("Atomic pile goes supercritical "+Namestring+"!!! Headquarters")
							displaymainconsole("will warn all subs to stay away from Radioactive area!!!")
							displaymainconsole(" ")
							shipsremaining
							gameexit=1
						EndIf
					EndIf
					If gameexit=0 Then
						Put (485,60),submarinegfx,PSet
						flag=0
						x=s1
						y=s2
						q1=1
						If soundvol>0 Then playsample(engine)
						For x2= 1 To INT(INT(Pwr/100+.5)*D1+.5)
							seacheck=0
							If flag=0 Then
								If X+X1>0 And X+X1<22 And Y+Y1>0 And Y+Y1<22 Then
									Select Case As Const a(x+x1,y+y1)
										Case 0
											put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
											x=x+x1
											y=y+y1
											power=power-100
											seacheck=1
											put ((y-1)*19+72,(x-1)*19+52),objects(9),PSet
											Sleep 300,1
										Case 1
											displayconsole("You almost ran aground "+namestring+"!!")
											If soundvol>0 Then playsampled(pop)
											flag=1
										Case 2
											seacheck=0
										Case 3 
											If Depth<=50 Then
												If soundvol>0 Then
													playsampled(CollisionAlarm)
													playsampled(HitByShip)
												EndIf
												youlose
												displaymainconsole("RESET")
												displaymainconsole("You rammed a ship!!! You're both sunk!!")
												displaymainconsole(" ")
												Ships=Ships-1
												If Ships=0 Then 
													youwin
												Else 
													shipsremaining
												EndIf 
												gameexit=1
												flag=1
											Else
												put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
												x=x+x1
												y=y+y1
												power=power-100
												seacheck=1
												put ((y-1)*19+72,(x-1)*19+52),objects(9),PSet
												Sleep 300,1	
											EndIf
										Case 4
											If Depth <=50 Then
												If soundvol>0 Then
													playsampled(CollisionAlarm)
													playsampled(HitByShip)
												EndIf												
												youlose
												displaymainconsole("RESET")
												displaymainconsole("You rammed Headquarters!! You're sunk!!")
												displaymainconsole(" ")
												shipsremaining
												flag=1
												gameexit=1
											Else
												put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
												x=x+x1
												y=y+y1
												power=power-100
												put ((y-1)*19+72,(x-1)*19+52),objects(9),PSet
												Sleep 300,1
											EndIf
										Case 5
											Put (485,60),hittingmine,pset
											If soundvol >0 Then playsampled(HitMine)
											youlose
											displaymainconsole("RESET")
											displaymainconsole("You've been blown up by a mine "+namestring+"!!")
											displaymainconsole(" ")
											shipsremaining
											flag=1
											gameexit=1
										Case 6
											If Rnd>=.21 Then
												If soundvol >0 Then playsampled(SeaMonster)
												youlose
												displaymainconsole("RESET")
												displaymainconsole("You were eaten by a sea monster, "+namestring+"!!")
												displaymainconsole(" ")
												shipsremaining
												flag=1
												gameexit=1
											Else
												seacheck=0
											EndIf
									End Select
								Else
									displayconsole("You can't leave the area "+namestring+"!!")
									If soundvol>0 Then playsampled(pop)
									flag=1
								EndIf
							EndIf
							If seacheck=1 Then
								seacheck=0
								For X3 = X-2 To X+2
									For Y3 = Y-2 To Y+2
										If seacheck=0 Then
											If X3>0 And X3<22 And Y3>0 And Y3<22 Then
												If A(X3,Y3)=6 Then 
													If Rnd >=.25 Then 
														If Q1=1 Then
															displayconsole("You just had a narrow escape with a sea monster "+Namestring+"!!")
															If soundvol>0 Then playsampled(SeaMonsterMiss)
															Q1 = 0
														EndIf
													Else
														If soundvol>0 Then playsampled(SeaMonster)
														youlose
														displaymainconsole("RESET")
														displaymainconsole("You were eaten by a sea monster, "+namestring+"!!")
														displaymainconsole(" ")														
														shipsremaining
														flag=1
														gameexit=1
														seacheck=1									
													EndIf
												EndIf
											EndIf
										EndIf
									Next
								Next
							EndIf
						Next  
						If flag=0 Then
							displayconsole("Navigation complete. Power left="+Str(Power)+".")
							If soundvol>0 Then playsampled(pop)
							If power < 1 Then shipoutofpower
						EndIf
						If a(x,y)=3 Then							'Flaw in the original program logic.  You could STOP underneath a ship.  Ship is "removed" by mistake.
							Do
								X1=Int(Rnd*21)+1
								y1=int(Rnd*21)+1
							Loop Until a(x1,y1)=0
							a(x1,y1)=3
						EndIf
						If a(x,y)=4 Then
							Do 
								x=x-x1
								y=y-y1
								power=power+100								
							Loop Until (a(x,y)=0 Or a(x,y)=2) 
						EndIf
						A(S1,S2)=0
						S1=X
						S2=Y
						A(X,Y)=2
						if flag=0 Then
							displaymainconsole("RESET")
							Enemymove
						EndIf
					EndIf
				Else
					displaymainconsole("RESET")
					displayconsole("Aye sir, command aborted.")
					If soundvol>0 Then playsampled(buzz(3))	
				EndIf
			EndIf
		endif
	EndIf
	
End Sub

Sub course (ByRef x1 As Integer,ByRef y1 As Integer, ByRef dirt As Byte)
	
	Dim heading As Single
	Dim x9 As integer
	
	heading=0
	displaybuttons(4)
	Do
		displaymainconsole("RESET")
		displaymainconsole("Course (1-8)?")
		tempstring=GetString(630,54,1,6,1,"")
		If tempstring=Chr(27) Then tempstring="^ABORT"
		If tempstring="^EXIT" Then program_exit
		If Asc(tempstring)>47 And Asc(tempstring)<57 Then heading=Val(tempstring)
	Loop Until (heading >0 and heading <=8 Or tempstring="^ABORT")
	If tempstring <>"^ABORT" Then
		displayconsole("Course "+Str(heading)+", aye sir.")
		If heading>0 Then
			Restore
			For CV = 1 To 16
				Read tempstring
			Next
			For X9=1 To INT(heading+.5)
				Read X1,Y1
			Next
		EndIf
	Else
		displaymainconsole("RESET")
		displayconsole("Aye sir, command aborted.")
		If soundvol>0 Then playsampled(buzz(3))
		X1=-99
		y1=-99
	EndIf
	dirt=heading
	
End Sub

Sub powerconversion ()
	
	Dim opt As Byte
	Dim amount As Integer
	Dim abortflag As Byte
	Dim checknum As Byte

	abortflag=0
	If damage(9)<0 Then
		displayconsole("Power converter is damaged "+namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If crew<6 Then
			displayconsole("Not enough men to work the converter "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			displaymainconsole("RESET")
			displaybuttons(7)
			opt=99
			Do 
				displaymainconsole("Option? (Fuel to Power, Power to Fuel)")
				tempstring=KeyStroke(4)
				If tempstring="^EXIT" Then program_exit
				If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
				If Asc(tempstring)=48 Or Asc(tempstring)=49 Then opt=Val(tempstring)
			Loop Until (opt=0 Or opt=1 Or abortflag=1)
			If abortflag=0 Then
				displaymainconsole(" ")
				Select Case As Const opt
					Case 0
						displaymainconsole("Fuel available="+Str(Fuel)+". Convert:")
						displaybuttons(5)
						Do
							tempstring=GetString(810,90,1,8,4,"")
							If tempstring="^EXIT" Then program_exit
							If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
							checknum=0
							For x=1 To Len(tempstring)
								If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then
									 checknum=1
									 displaymainconsole("REFRESH")
								EndIf 
							Next
							If checknum=0 Then AMOUNT=Val(tempstring)
						Loop Until (amount<=fuel And amount>0 Or ABORTFLAG=1)
						If abortflag=0 Then 
							fuel=fuel-amount
							power=power+Int(amount/3)
						Else
							displayconsole("Aye sir, command aborted.")
							If soundvol>0 Then playsampled(buzz(3))
						EndIf
					Case 1
						displaymainconsole("Power available="+Str(power)+". Convert:")
						displaybuttons(5)
						Do 
							tempstring=GetString(820,90,1,8,4,"")
							If tempstring="^EXIT" Then program_exit
							If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
							checknum=0
							For x=1 To Len(tempstring)
								If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then
									 checknum=1
									 displaymainconsole("REFRESH")
								EndIf 
							Next
							If checknum=0 Then AMOUNT=Val(tempstring)							
						Loop Until ((amount<=power And amount>0) Or abortflag=1)
						If abortflag=0 Then 
							power=power-amount
							fuel=fuel+Int(amount/3)
						Else
							displayconsole("Aye sir, command aborted.")
							If soundvol>0 Then playsampled(buzz(3))
						EndIf
				End Select
				If abortflag=0 Then
					Put (485,60),engineroom,PSet
					If soundvol>0 Then 
						playsampled(converter)
					Else
						Sleep 500,1
					EndIf
					displayconsole ("Conversion complete. Power="+Str(Power)+". Fuel="+Str(Fuel)+".")
					If soundvol>0 Then playsampled(pop)
				EndIf
			Else
				displayconsole("Aye sir, command aborted.")
				If soundvol>0 Then playsampled(buzz(3))
			EndIf
		EndIf
		displaymainconsole("RESET")
		If abortflag=0 Then enemymove
	EndIf

End Sub

Sub sabotage ()
	
	Dim d3 As Integer
	Dim d4 As Integer
	Dim q1 As Integer
	Dim d5 As Integer
	Dim d6 As Integer
	Dim flag As Byte
	Dim d7 As Integer
	Dim seamonster As Byte
	Dim abortflag As Byte
	Dim checknum As Byte
	Dim boom(21,21) As Integer
	Dim count As Byte
	
	seamonster=0	
	If damage(8)<0 Then
		displayconsole("Hatches inaccessible "+namestring+".  No sabotages possible.")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If crew < 11 Then
			displayconsole("Not enough crew to go on mission "+Namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			d3=0
			d4=0
			For x=s1-2 To s1+2
				For y=s2-2 To s2+2
					If x>0 And x<22 And y>0 And y<22 Then
						d3=d3-(a(x,y)=3)
						d4=d4=(a(x,y)=6)
					EndIf
				Next
			Next
			If d3=0 Then
				displayconsole("No ships in range "+namestring+".")
				If soundvol>0 Then playsampled(buzz(3))
			Else
				abortflag=0
				displaybuttons(5)
				Do
					displaymainconsole("RESET")
					displaymainconsole("There are "+Str(D3)+" ships in range "+Namestring+".")
					displaymainconsole(" ")
				 	displaymainconsole("How many men are going "+namestring+"?")
					tempstring=GetString(483,147,1,8,2,"")
					If tempstring="^EXIT" Then program_exit
					If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
					checknum=0
					For x=1 To Len(tempstring)
						If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then
						 checknum=1
						 displaymainconsole("REFRESH")
						EndIf 
					Next
					If checknum=0 Then Q1=Val(tempstring)	
					If crew-q1<11 Then 
						displayconsole ("You must leave at least 10 men on board "+Namestring+".") 
						If soundvol>0 Then playsampled(buzz(2))
					EndIf
				Loop Until ((crew-q1>10 And q1>0) Or abortflag=1)
				If abortflag=0 Then
					Put (485,60),seals,PSet
					Sleep 500,1
					d5=Int(d3/q1+.5)
					d6=0
					flag=0
					For x=s1-2 To s1+2
						For y=s2-2 To s2+2
							If x>0 And x<22 And y>0 And y<22 Then 
								boom(x,y)=0
								If flag=0 Then
									If d3/q1>1-Rnd And Rnd+d3/q1<.9 Then
										' Ship not attacked
									Else
										If x>0 And x<22 And y>0 And y<22 Then
											If a(x,y)=3 Then
												d6=d6+1
												a(x,y)=0
												boom(x,y)=1
												put ((y-1)*19+72,(x-1)*19+52),objects(30),PSet
												ships=ships-1
												If ships=0 Then
													youwin 
													flag=1
												EndIf
											EndIf
										EndIf
									EndIf	
								EndIf
							EndIf
						Next
					Next
					For x=s1-3 To s1+3															' Scan for seamonsters
						For y=s2-3 To s2+3
							If x>0 And x<22 And y>0 And y<22 Then
								If a(x,y)=6 Then seamonster=1
							EndIf
						Next
					Next
					If flag=0 Then
						displayconsole(Str(D6)+" ships were destroyed "+namestring+".")
						If d6>0 Then 
							Line (485,60)-(884,359),RGB(0,0,0),bf
							If soundvol>0 Then playsample(hitship)
							For count=1 To 5
								Put (485,60),shiphit(count),PSet
								Sleep 400,1
							Next
							If soundvol>0 Then Sleep 1000
							For x=s1-2 To s1+2
								For y=s2-2 To s2+2
									If boom(x,y)=1 Then Put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
								Next
							Next
						Else
							If soundvol>0 Then playsampled(pop)
						EndIf
						
						d6=0
						d7=0
						For x=1 To q1
							d7=d7-(Rnd>.6)
						Next
						For x=1 To q1-d7
							d6=d6-(Rnd<.15)
						Next
						If d4<>0 And seamonster=1 Then											' Mondified to not lose crew to sea monster if one not around.
							Line (485,60)-(884,450),RGB(0,0,0),bf
							put (485,60),sm,PSet	
							displayconsole("A sea monster smells the men on the way back!!!")
							displayconsole(Str(D7)+" men were eaten "+namestring+"!!")
							If soundvol>0 Then playsample(wilhelm)
							If soundvol>0 Then playsampled(SeaMonstermiss)
							crew=crew-d7
						EndIf
						displayconsole(Str(D6)+" men were lost through accidents "+namestring+".")
						If d6>0 Then 
							Line (485,60)-(884,359),RGB(0,0,0),bf
							Put (485,60),seals,PSet
							If soundvol>0 Then playsampled(wilhelm)
						Else												
							If soundvol>0 Then playsampled(pop)
						EndIf
						crew=crew-d6
						power=power-INT(10*Q1+RND*10)
						displaymainconsole("RESET")
						Enemymove
					EndIf
				Else
					displaymainconsole("RESET")
					displayconsole("Aye sir, command aborted.")
					If soundvol>0 Then playsampled(buzz(3))
				EndIf
			EndIf
		EndIf
	EndIf 

End Sub

Sub headquarters ()

	Dim damageflag As Byte
	Dim repairflag As Byte

	If damage(7)<0 Then
		displayconsole("Headquarters is damaged.  Unable to help "+namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If docks=0 Then
			displayconsole("Headquarters is deserted "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			If SQR((S1-S3)^2+(S2-S4)^2)<=2 And Depth<51 Then 
				displayconsole("Divers from Headquarters bring out supplies and men.")
				If soundvol>0 Then playsampled(pop) 									' Minor code change, adds to what you have left.
				Power = Power + 4000															' instead of just setting to the lower limits. 
				If power>6000 Then power = 6000											' So if you were low on power, still had 3 missles,
				Torps = torps + 8																' Why would your HQ take 1 away when you resupplied?
				If torps > 10 Then torps = 10
				Missiles = missiles + 2
				If missiles>3 Then missiles = 3
				Fuel=fuel+1500
				If fuel>2500 Then fuel=2500
				Crew=crew+25
				If crew>30 Then crew=30 
				docks=docks-1
				repairflag=0
				For x=1 To 9
					If damage(x)<0 Then 
						damage(x)=damage(x)+((RND*(2+RND*2))*(1+(-(Depth<51)OR-(Depth>2000)))*(-(Damage(X)<3)))*2
						If damage(x)>=0 Then 
							repairflag=1
							displayconsole("Damage control reports "+subsystem(x)+" has been repaired "+namestring+"!")
						EndIf
					EndIf
				Next
				If repairflag=1 And soundvol>0 Then playsampled(Repaired) 
				For x=1 To 2
					torpedo(x)=1
					missile(x)=1
				Next
				If missiles=3 Then 
					missile(3)=1
				Else
					missile(3)=0
				EndIf
				Enemymove				
			Else
				displayconsole("Unable to comply with docking orders "+namestring+".")
				If soundvol>0 Then playsampled(buzz(3))
			EndIf
		EndIf
	EndIf
	
End Sub

Sub manuervering ()

	Dim newdepth As Integer 
	Dim abortflag As Byte
	Dim checknum As Byte
	Dim starttime As Double
	Dim delay As Double
	Dim update As Byte

	abortflag=0
	If damage(5)<0 Then
		displayconsole("Ballast controls are being repaired "+namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
	Else
		If crew<13 Then
			displayconsole("There are not enough crew to work the controls "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
		Else
			displaybuttons(5)
			newdepth=-99
			Do
				displaymainconsole("RESET")
				displaymainconsole("New depth?")
				tempstring=GetString(600,54,1,8,4,"")
				If tempstring="^EXIT" Then program_exit
				If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
				checknum=0
				For x=1 To Len(tempstring)
					If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then
					 checknum=1
					 displaymainconsole("REFRESH")
					EndIf 
				Next
				If checknum=0 Then newdepth=Val(tempstring)	
			Loop Until (newdepth>=0 Or abortflag=1)
			If abortflag=0 Then
				Put (485,60),submarinegfx,PSet
				If soundvol>0 And speech=1 Then playsampled(ayesir)
				If newdepth>depth Then 
					If newdepth >10 And depth<=10 Then
						displayconsole("Aye sir, submerging the ship.  New depth "+Str(newdepth)+" feet.")
						if soundvol>0 And speech>0 Then 
							playsampled(dive)
						Else
							If soundvol>0 Then playsampled(divealarm)
						EndIf
					Else
						displayconsole("Aye sir, new depth "+Str(newdepth)+" feet.")	
					EndIf
					delay=500/(abs(newdepth-depth))/1000
					If soundvol>0 Then 
						playsample(diving)
						delay=1000/(abs(newdepth-depth))/1000
					EndIf
					If newdepth <=3000 Then
						font.fontindex = 3
						font.forecolor = Rgba(0,255,0,255)
						font.backcolor = RGBA(0,0,0,255)
						Starttime = Timer 
						update=0
						For X=DEPTH To NEWDEPTH
							If damage(6)>=0 Or update >1 Then
								font.drawstring (,"Depth           "+Str(X)+"   ",910+fontx,149+fonty)
								update=update-1
								If update<0 Then update=0
							Else
								font.drawstring (,"Depth           ????",910+fontx,149+fonty)
								If Rnd>.75 Then update=Int(Rnd*10)+1
							EndIf
							Do
								Sleep 1
							Loop Until(Timer-starttime>=delay)
							starttime=Timer
							If x=2000 Then
								If soundvol>0 Then playsample(creaking)
							EndIf
							If x=2900 Then displayconsole("Captain we are approaching crush depth...")
							If x=3000 Then 
								If soundvol>0 Then playsample(creaking)
								displayconsole("Captain we are at crush depth.")
							EndIf
						Next 
						font.backcolor = RGBA(255,0,255,0)
					EndIf
				EndIf
				If newdepth<depth Then
					delay=1000/(abs(depth-newdepth))/1000
					If newdepth>10 Then 
						displayconsole("Aye sir, new depth "+Str(newdepth)+" feet.")
						If soundvol>0 Then 
							playsample(rising)
							delay=(9000/Abs(depth-newdepth))/1000
						EndIf
					Else
						displayconsole("Aye sir, surfacing the ahip.")
						if soundvol>0 And speech>0 Then 
							playsampled(surface)
						Else
							If soundvol>0 Then 
								playsampled(surfacealarm)
							EndIf
						EndIf
						If soundvol>0 Then 
							playsample(surfacing)
							delay=(12000/Abs(depth-newdepth))/1000						
						EndIf
					EndIf
					font.fontindex = 3
					font.forecolor = Rgba(0,255,0,255)
					font.backcolor = RGBA(0,0,0,255)
					Starttime = Timer 
					update=0
					For X=DEPTH To NEWDEPTH Step -1
						If damage(6)>=0 Or update>1 Then
							font.drawstring (,"Depth           "+Str(X)+"   ",910+fontx,149+fonty)
							update=update-1
							If update<0 Then update=0
						Else
							font.drawstring (,"Depth           ????",910+fontx,149+fonty)
							If Rnd>.75 Then update=Int(Rnd*10)+1
						EndIf
						Do
							Sleep 1
						Loop Until(Timer-starttime>=delay)
						starttime=Timer
						If x=10 Then Put (485,60),subsurfacing,PSet 
					Next 
					font.backcolor = RGBA(255,0,255,0)
				EndIf
				If newdepth<>depth Then 
					If newdepth>3000 Then
						font.fontindex = 3
						font.forecolor = Rgba(0,255,0,255)
						font.backcolor = RGBA(0,0,0,255)
						If soundvol>0 Then playsample(creaking)
						If soundvol>0 Then 
							playsample(crushing)
							delay=120
						Else
							delay=10
						EndIf
						flush
						Put (485,60),subsinking,PSet
						update=0
						For x=2670 To 3418
							If x=2810 Or x=2920 Then 
								If soundvol>0 Then playsample(creaking)
							EndIf
							If damage(6)>=0 Or update>0 Then
								font.drawstring (,"Depth           "+Str(X)+"   ",910+fontx,149+fonty)
								update=update-1
								If update<0 Then update=0
							Else
								font.drawstring (,"Depth           ????",910+fontx,149+fonty)
								If Rnd>.75 Then update=Int(Rnd*10)+1
							EndIf
							If x=2999 Then displayconsole("Captain we are approaching crush depth...")
							Sleep delay,1
							If InKey<>"" Then Exit For
						Next
						font.backcolor = RGBA(255,0,255,0)
						stopallsamples
						youlose
						displaymainconsole("RESET")
						displaymainconsole("Hull crushed by pressure "+Namestring+"!!")
						shipsremaining
						gameexit=1
					Else
						If power-INT(ABS((Depth-newdepth)/2+.5))>=0 Then
							Power=Power-INT(ABS((Depth-newdepth)/2+.5))
							displayconsole("Manuever complete. Power loss="+Str(INT(ABS((Depth-newdepth)/2+.5))))
							If soundvol>0 Then playsampled(pop)
							depth=newdepth
							displaymainconsole("RESET")
							Enemymove
						Else
							displaymainconsole("RESET")
							displayconsole("We do not have enough power to manuerver to that depth "+namestring+".")
							If soundvol>0 Then playsampled(buzz(2))
						EndIf
					EndIf
				Else
					displaymainconsole("RESET")
					displayconsole("Aye sir, command aborted.")
					If soundvol>0 Then playsampled(buzz(3))
				EndIf
			Else
				displaymainconsole("RESET")
				displayconsole("Aye sir, command aborted.")
				If soundvol>0 Then playsampled(buzz(3))
			EndIf
		EndIf
	EndIf

End Sub

Sub polarismisslecontrol ()
	
	Dim flag As Byte
	Dim x1 As Integer
	Dim y1 As Integer
	Dim misfuel As Integer
	Dim dist As Integer
	Dim d3 As Integer
	Dim d4 As Integer
	Dim d5 As Integer
	Dim d6 As Integer
	Dim flag2 As Byte
	Dim flag3 As Byte
	Dim abortflag As Byte
	Dim checknum As Byte
	Dim dummy As Byte
	
	flag=0
	
	If damage(4)<0 Then
		displayconsole("Missile silos are under repair "+Namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
		flag=1
	Else
		If crew<24 Then
			displayconsole("Not enough crew to launch missile "+Namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
			flag=1
		Else
			If missiles=0 Then
				displayconsole("No missiles left "+Namestring+".")
				If soundvol>0 Then playsampled(buzz(3))
				flag=1
			Else
				If depth<50 Or depth>=2000 Then
					displaymainconsole("RESET")
					displaymainconsole("Recommend that you do not fire at this depth...Proceed?")
					displaybuttons(3)
					Do
						tempstring=KeyStroke(5)
						If tempstring="^EXIT" Then program_exit
					Loop Until (UCase(tempstring) = "Y" Or UCase(tempstring)="N")
					If UCase(LEFT(tempstring,1))="Y" Then
						If Rnd<.5 Then
							If soundvol>0 Then
								playsampled(MissileFailure)
								Put (485,60),subexplodes,PSet
								playsampled(bigbang)
							EndIf
							youlose
							displaymainconsole("RESET")
							displaymainconsole("Missile explodes upon firing "+namestring+"!! You're dead!!")
							shipsremaining
							gameexit=1
							flag=1
						EndIf
					Else
						flag=1
					EndIf
				EndIf				
			EndIf
		EndIf
	EndIf
	If flag=0 Then
		course (x1,y1,dummy)
		If x1<>-99 Then 
			displaybuttons(5)
			misfuel=0
			Do
				displaymainconsole("RESET")
				displaymainconsole("Missile Fuel (LBS.)?")		
				tempstring=GetString(704,54,1,8,4,"")
				If tempstring="^EXIT" Then program_exit
				If tempstring="^ABORT" Or tempstring=Chr(27) Then abortflag=1
				checknum=0
				For x=1 To Len(tempstring)
					If Asc(Mid(tempstring,x,1))<48 Or Asc(Mid(tempstring,x,1))>57 Then
					 checknum=1
					 displaymainconsole("REFRESH")
					EndIf 
				Next
				If checknum=0 Then misfuel=Val(tempstring)				
				
				If misfuel<1 Or misfuel>fuel Then displayconsole("You have "+Str(fuel)+" LBS. left "+namestring+".") 
			Loop Until ((misfuel>0 And misfuel<fuel) Or abortflag=1)
			If abortflag=0 Then
				If missile(1)=1 Then
					If soundvol>0 And speech=1 Then playsample(launchmissile(1))
					displayconsole("Launch missle 1.")
					missile(1)=0
					Circle (618,750),12,RGB(0,0,0), , , ,F
					Circle (618,750),10,RGB(0,100,0), , , ,F
					font.fontindex = 6
					font.forecolor = Rgba(0,0,0,255)
					font.drawstring(,"1",614+fontx,741+fonty)
				Else
					If missile(2)=1 Then
						If soundvol>0 And speech=1 Then playsample(launchmissile(2))
						displayconsole("Launch missle 2.")
						missile(2)=0
						Circle (648,750),12,RGB(0,0,0), , , ,F
						Circle (648,750),10,RGB(0,100,0), , , ,F
						font.fontindex = 6
						font.forecolor = Rgba(0,0,0,255)
						font.drawstring(,"2",644+fontx,741+fonty)
					Else
						If missile(3)=1 Then
							If soundvol>0 And speech=1 Then playsample(launchmissile(3))
							displayconsole("Launch missle 3.")
							missile(3)=0
							Circle (678,750),12,RGB(0,0,0), , , ,F
							Circle (678,750),10,RGB(0,100,0), , , ,F
							font.fontindex = 6
							font.forecolor = Rgba(0,0,0,255)
							font.drawstring(,"3",674+fontx,741+fonty)
						EndIf
					EndIf
				EndIf
				Put (485,60),SubFiringMissile(Int(Rnd*2)+1),PSet
				If soundvol>0 Then
					playsampled(MissileLaunch)
				Else
					Sleep 500,1
				EndIf
				Put (485,60),missilegfx,PSet
				Sleep 500,1
				dist=Int(misfuel/75+.5)
				If S1+X1*dist>0 And S1+X1*dist<22 And S2+Y1*dist>0 And S2+Y1*dist<22 Then 
					D3=0
					D4=0
					D5=0
					D6=0
					flag2=0
					For X=S1+X1*dist-1 To S1+X1*dist+1
						For Y=S2+Y1*dist-1 To S2+Y1*dist+1
							If X>0 And X<22 And Y>0 And Y<22 Then
								put ((y-1)*19+72,(x-1)*19+52),objects(30),PSet
							EndIf
						Next
					Next
					Sleep 500,1
					For X=S1+X1*dist-1 To S1+X1*dist+1
						For Y=S2+Y1*dist-1 To S2+Y1*dist+1
							If flag2=0 Then  
								If X>0 And X<22 And Y>0 And Y<22 Then
									D3 = D3-(A(X,Y)=3)
									D4 = D4-(A(X,Y)=6)
									D5 = D5-(A(X,Y)=5)
									D6 = D6-(A(X,Y)=1)
									If A(X,Y)=4 Then
										displayconsole("You've just destroyed your Headquarters "+Namestring+"!!!")
										S3=0 
										S4=0
										Docks=0
									EndIf
									If A(X,Y)=2 Then
										If soundvol>0 Then playsampled(bigbang)
										youlose
										displaymainconsole("RESET")
										displaymainconsole("You've just destroyed yourself "+Namestring+"!!!    Dummy!!")
										shipsremaining
										gameexit=1
										flag2=1
									EndIf
									A(X,Y)=0
								EndIf
							EndIf
						Next
					Next
					Put (485,60),missileexp,PSet
					If soundvol>0 Then playsampled(Missilehit)
					If flag2=0 Then
						If D6>0 Then displayconsole("You blew out some island "+Namestring+".") 'Print "You blew out some island ";Namestring;"."
						If D5>0 Then displayconsole("You destroyed "+Str(D5)+" mines "+Namestring+".") 'Print "You destroyed";D5;" mines ";Namestring;"."
						If D4>0 Then displayconsole("You got "+Str(D4)+" sea monsters "+Namestring+"!!!   Good work!!") 'Print "You got";D4;" sea monsters ";Namestring;"!!!   Good work!!"
						If D3>0 Then
							displayconsole("You destroyed "+Str(D3)+" enemy ships "+Namestring+"!!!")
							ships=ships-d3
							flag3=0
							If ships=0 Then 
								youwin
								flag3=1
							EndIf
						EndIf
					EndIf
					For X=S1+X1*dist-1 To S1+X1*dist+1
						For Y=S2+Y1*dist-1 To S2+Y1*dist+1
							If X>0 And X<22 And Y>0 And Y<22 Then
								put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
							EndIf
						Next
					Next					
				Else
					displayconsole("Missile out of sonar tracking "+Namestring+". Missile lost.")
					If soundvol>0 Then playsampled(pop)
				EndIf
				If flag3=0 Then
					missiles=missiles-1
					fuel=fuel-misfuel
					power=power-300
					displaymainconsole("RESET")
					If power <=0 Then 
						shipoutofpower
					Else
						enemymove
					EndIf
				EndIf
			Else
				displaymainconsole("RESET")
				displayconsole("Aye sir, command aborted.")
				If soundvol>0 Then playsampled(buzz(3))		
			EndIf
		EndIf
	EndIf

End Sub

Sub torpedocontrol ()
	
	Dim y1 As Integer
	Dim flag As Byte
	Dim hit As Byte
	Dim heading As Byte
	Dim count As Byte

	x=0
	x1=0
	y1=0
	y=0
	flag=0
	If damage(3)<0 Then
		displayconsole("Torpedo tubes are under repair "+Namestring+".")
		If soundvol>0 Then playsampled(buzz(1))
		flag=1
	Else
		If crew<11 Then 
			displayconsole("Not enough crew to fire torpedo "+namestring+".")
			If soundvol>0 Then playsampled(buzz(2))
			flag=1
		Else
			If torps=0 Then
				displayconsole("No torpedoes left "+namestring+".")
				If soundvol>0 Then playsampled(buzz(3))
				flag=1
			Else
				If depth>=2000 Then
					displayconsole("Captain we are too deep to safely fire a torpedo!!!")
					If soundvol>0 Then playsampled(pop)				
					If Rnd>.5 Then
						playsampled(GeneralAlarm)
						Put (485,60),subexplodes,PSet
						playsampled(bigbang)						
						displaymainconsole("RESET")
						displaymainconsole("Pressure implodes upon firing...You're crushed!!")
						displaymainconsole(" ")
						shipsremaining
						gameexit=1
						flag=1
					EndIf
				EndIf
			EndIf
		EndIf
	EndIf
	If flag=0 Then
		hit=0
		course (x1,y1,heading)
		displaymainconsole("RESET")
		If x1<>-99 Then
			If torpedo(1)=1 Then 
				Put (485,60),subfire(1),PSet
				displayconsole("Fire 1.")
				If soundvol>0 And speech=1 Then playsampled(fire(1))
				torpedo(1)=-1
				Circle (100,750),12,RGB(0,0,0), , , ,F
				Circle (100,750),10,RGB(100,0,0), , , ,F
				font.fontindex = 6
				font.forecolor = Rgba(0,0,0,255)				
				font.drawstring(,"1",96+fontx,741+fonty)
			Else
				Put (485,60),subfire(2),PSet
				displayconsole("Fire 2.")
				If soundvol>0 And speech=1 Then playsampled(fire(2))
				torpedo(2)=-1
				Circle (130,750),12,RGB(0,0,0), , , ,F
				Circle (130,750),10,RGB(100,0,0), , , ,F
				font.fontindex = 6
				font.forecolor = Rgba(0,0,0,255)				
				font.drawstring(,"2",126+fontx,741+fonty)
			EndIf
			If soundvol>0 Then playsampled(torpedofire)
			x=s1
			y=s2
			For x2 =1 To INT(7+5*(-(Depth>50))-Rnd*4+.5)
				If hit=0 Then 
					If X+X1<1 Or X+X1>21 Or Y+Y1<1 Or Y+Y1>21 Then
						displayconsole("Torpedo out of sonar range...Ineffectual "+Namestring+".")
						If soundvol>0 Then playsampled(dud)
						hit=1
					Else
						Select Case As Const a(x+x1,y+y1)
							Case 0
								x=x+x1
								y=y+y1
								put ((y-1)*19+72,(x-1)*19+52),torpgfx(heading),PSet
								Sleep 500,1
								put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
							Case 1
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(30),PSet
								displayconsole("You took out some island "+Namestring+"!")
								If soundvol>0 Then 
									playsampled(blewupland)
								Else
									Sleep 250,1
								EndIf
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(34),PSet
								A(X+X1,Y+Y1)=0
								hit=1
							Case 2 ' nothing you can't shoot yourself!
								
							Case 3
								Line (485,60)-(884,359),RGB(0,0,0),bf
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(30),PSet
								If soundvol> 0 Then playsample(hitship)
								For count=1 To 5
									Put (485,60),shiphit(count),PSet
									Sleep 400,1
								Next
								If soundvol>0 Then Sleep 1000
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(34),PSet
								displayconsole("BOOM!!!  You got one "+Namestring+"!!")
								ships=ships-1
								hit=1
								If ships=0 Then
									youwin
									hit=2
								EndIf
								A(X+X1,Y+Y1)=0
							Case 4
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(30),PSet
								displayconsole("You blew up your Headquarters "+Namestring+"!!!")
								If soundvol> 0 Then 
									playsampled(hitship)
								Else
									Sleep 250,1
								EndIf
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(34),PSet
								S3=0
								S4=0
								Docks=0
								A(X+X1,Y+Y1)=0
								hit=1
							Case 5
								Put (485,60),hittingmine,PSet
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(30),PSet
								displayconsole("BLAM!! Shot wasted on a mine "+Namestring+"!!")
								If soundvol> 0 Then 
									playsampled(hitmine)
								Else
									Sleep 250,1
								EndIf
								put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(34),PSet
								A(X+X1,Y+Y1)=0
								hit=1
							Case 6
								If Rnd>.85 Then
									put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(30),PSet
									displayconsole("You hit a sea monster, and it dies "+namestring+"!!")
									If soundvol> 0 Then
										 playsampled(hitship)
									Else
										Sleep 250,1
									EndIf
									put ((y+y1-1)*19+72,(x+x1-1)*19+52),objects(34),PSet
									A(X+X1,Y+Y1)=0
								Else
									displayconsole("A sea monster had a torpedo for lunch "+Namestring+"!!")
									If soundvol>0 Then playsampled(SeaMonstermiss)
								EndIf
								hit=1	
						End Select
					EndIf
				EndIf
			Next
			If hit=0 Then 
				displayconsole("Torpedo is a dud "+namestring+".")
				If soundvol>0 Then playsampled(dud)
			EndIf
			If hit<>2 Then
				Torps=torps-1
				power=power-150
				If power >0 Then
					Enemymove
				Else
					shipoutofpower
				EndIf
			EndIf
		EndIf
	EndIf
	
End Sub

Sub Enemymove ()

	Dim q As Single
	Dim flag As Byte
	Dim code2 As String
	Dim dead As Byte
	Dim w As Integer
	Dim v As Integer
	Dim moveflag As Byte
	Dim moveflag2 As Byte
	Dim x0 As Integer
	Dim y0 As Integer
	Dim old As Single
	Dim repairflag As Byte
	Dim count As Byte

	Q=0
	For X=S1-4 To S1+4
		For Y=S2-4 To S2+4
		If x>0 And x <22 And y>0 And y<22 Then 
			If a(x,y)=3 Then
				Q=Q+(Rnd/SQR((S1-X)^2+(S2-Y)^2))
			EndIf
		EndIf
		Next
	Next
	If q=0 Then
		displayconsole("No ships in range to depth charge you "+Namestring+"!!")
		If soundvol>0 Then playsampled(buzz(3))
	Else
		flag=0
		tempstring="Depth charges off "
		if rnd>.5 Then
			tempstring=tempstring+"Port side "+Namestring+"!!!"
		Else
			tempstring=tempstring+"Starboard side "+Namestring+"!!!"
		EndIf
		displayconsole(tempstring)					' no Damange, Light, Moderate, Heavy, Critical
		put (485,60),launchdc(Int(Rnd*2)+1),PSet
		If soundvol>0 Then playsampled (depthcharge(Int(Rnd*2)+1))
		displaymainconsole("RESET")
		put (485,60),dc(int(rnd*2)+1),PSet
		If Q>.13 Or RND>.92 Then	
			If Q>.36 Or Rnd>.96 Then
				If Q>.6 Or Rnd>.975 Then 	
					If Q>.9 Or RND>.983 Then	
						If soundvol>0 Then
							playsampled(depthch(5))
							playsample(creaking)
							playsampled(CriticalAlarm)
						EndIf							
						displaymainconsole("RESET")
						displaymainconsole(" ")
						displaymainconsole("Damage critical!!!!   We need help!!!")
						code="VRAVUKXCNVPCRHFDRSAXQURLQTRHXYACVFZYITLCBSSYYKDQIPCAEGQGPCNOTSIO"
						X=INT(RND*(Len(code)-5))+1
						codep=Int(Rnd*4)+1
						codec=Mid(code,x,4)
						displaymainconsole(" ")
						displaymainconsole("Send 'HELP' in code. Here is the code:")
						displaymainconsole(" ")
						displaymainconsole("            "+codec)
						Sleep 3000,1
						displaybuttons(6)
						displaymainconsole("RESET")
						displaymainconsole(" ")
						displaymainconsole("What is the code?")
						code2=""
						Do 
							tempstring=KeyStroke(9)
							If tempstring="^EXIT" Then program_exit
							If Asc(TEMPSTRING)>47 And Asc(tempstring)<53 Then 
								If Val(tempstring)=codep Then 
									code2=codec
								Else
									code2="ZZZZ"
								EndIf
							EndIf
						Loop Until code2<>""
						displaymainconsole("Transmitting...")
						If soundvol>0 Then 
							playsampled(Transmit)
						Else
							Sleep 2000,1	
						EndIf
						displaymainconsole("RESET")
						If code2<>MID(code,X,4) Then
							youlose
							displaymainconsole("Message garbled "+Namestring+"...No help arrives!!!")
							displayconsole(" ")
							flag=1
							shipsremaining
							gameexit=1
						Else
							displayconsole("Fast work "+Namestring+"!! Help arrives in time to save you!!!")
							If soundvol>0 Then playsampled(pop)
							Power=Power-(200+INT(Rnd=76))
							For X=1 To 4+INT(Rnd*2)
								Y=Int(Rnd*9)+1
								Damage(Y)=Damage(Y)-Rnd*11
							Next
						EndIf
					Else
						displayconsole("Heavy damage!! Repairs immediate "+Namestring+"!!!")
						If soundvol>0 Then playsampled(depthch(4))
						Power=Power-(200+INT(Rnd=76))
						For X=1 To 4+INT(Rnd*2)
							Y=INT(Rnd*9)+1
							Damage(Y)=Damage(Y)-Rnd*11
						Next
					EndIf
				Else
					displayconsole("Moderate damage. Repairs needed "+Namestring+".")
					If soundvol>0 Then playsampled(depthch(3))
					Power=Power-75+INT(Rnd*30)
					For Y=1 To 2
						X=INT(Rnd*9)+1
						Damage(X)=Damage(X)-Rnd*8
					Next 
				EndIf
			Else
				displayconsole("Light, superfical damage "+Namestring+".")
				If soundvol>0 Then playsampled(depthch(2))
				Power=Power-50
				Damage(INT(RND*9)+1)=-RND*2
			EndIf
		Else
			displayconsole("No real damage sustained "+Namestring+".")
			If soundvol>0 Then playsampled(depthch(1))
		EndIf
	EndIf
	If flag=0 Then
		If power<=0 Then 
			shipoutofpower
			flag=1
		EndIf
	EndIf
	If flag=0 Then
		dead=1
		If Damage(1)>=0 Or Damage(3)>=0 Or Damage(4)>=0 Or Damage(5)>=0 Or Damage(6)>=0 Or Damage(7)>=0 Then dead=0
		If Damage(8)>=0 Or Damage(9)>=0 Then dead=0
		If dead=1 Then
			youlose
			displaymainconsole("RESET")
			displaymainconsole"Damage too much "+namestring+"!!!  You're sunk!!"
			displaymainconsole(" ")
			shipsremaining
			gameexit=1
			flag=1
		EndIf
	EndIf
	If flag=0 Then
		displayconsole("---*** Result of last enemy manuever ***---")
		dead=0
		For x=1 To 21
			For y=1 To 21
				If dead=0 Then
					moveflag=0
					If a(x,y)=3 Then 
						If (objectx(x,y)<>0 Or objecty(x,y)<>0) And movementtype=2 Then
							w=objectx(x,y)
							v=objecty(x,y)
						Else
							w=d8
							v=d9
						EndIf
						If Rnd>.8 And movementtype=2 Then getnewheading(x,y,w,v)
						If W+X<1 Or X+W>21 Or Y+V<1 Or Y+V>21 Then
							For x0=20 To 1 Step -1
								For y0=20 To 1 Step -1
									If moveflag=0 Then
										If X-W*X0>0 And X-W*X0<22 And Y-V*Y0>0 And Y-V*Y0 <22 Then 
											If A(X-W*X0,Y-V*Y0)=0 THEN
												A(X-W*X0,Y-V*Y0)=3
												objectx(X-W*X0,Y-V*Y0)=w
												objectY(X-W*X0,Y-V*Y0)=V												
												put ((y-v*y0-1)*19+72,(x-w*x0-1)*19+52),objects(shipfacing(w,v,0)),PSet
												objectx(x,y)=0
												objecty(x,y)=0
												A(X,Y)=0
												put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
												moveflag=1
											EndIf
										EndIf
									EndIf
								Next
							Next
						Else
							moveflag2=0
							Do
								Select Case As Const A(X+W,Y+V)
									Case 0
										put ((y+v-1)*19+72,(x+w-1)*19+52),objects(shipfacing(w,v,0)),PSet
										A(X+W,Y+V)=3
										objectx(X+W,Y+V)=w
										objectY(X+W,Y+V)=V
										put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
										A(X,Y)=0
										objectx(x,y)=0
										objecty(x,y)=0
										moveflag2=1
										moveflag=1
										Sleep 100,1
									Case 1
										getnewheading(x,y,w,v)
									Case 2
										If Depth>50 Then
											getnewheading(x,y,w,v)
										Else
											If soundvol>0 Then
												playsampled(CollisionAlarm)
												playsampled(HitByShip)
											EndIf											
											youlose
											displaymainconsole("RESET")
											displaymainconsole("*** You've been rammed by a ship "+Namestring+"!!! ***")
											displaymainconsole(" ")
											shipsremaining
											gameexit=1
											dead=1
											moveflag=1
											moveflag2=1
										EndIf
									Case 3
										getnewheading(x,y,w,v)
									Case 4
										If RND<.15 Then
											getnewheading(x,y,w,v)
										Else
											Line (485,60)-(884,450),RGB(0,0,0),bf
											put (485,60),shiphq,PSet
											put ((y+v-1)*19+72,(x+w-1)*19+52),objects(30),PSet
											displayconsole("*** Your headquarters was rammed "+Namestring+"!!! ***")
											If soundvol>0 Then 
												playsampled(HQhit)
											Else
												Sleep 250,1
											EndIf
											put ((y+v-1)*19+72,(x+w-1)*19+52),objects(34),PSet
											S3=0
											S4=0
											Docks=0
											A(X+W,Y+V)=0
											Ships=Ships-1
											If Ships=0 Then
												youwin
												dead=1
											EndIf
											A(X,Y)=0
											objectx(x,y)=0
											objecty(x,y)=0											
											put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
											moveflag2=1
											moveflag=1
										EndIf
									Case 5
										If Rnd<.7 Then
											getnewheading(x,y,w,v)
										Else
											Line (485,60)-(884,450),RGB(0,0,0),bf
											put ((y+v-1)*19+72,(x+w-1)*19+52),objects(30),PSet
											displayconsole("*** Ship destroyed by a mine "+Namestring+"!!! ***")
											If soundvol> 0 Then playsample(hitship)
											For count=1 To 5
												Put (485,60),shiphit(count),PSet
												Sleep 400,1
											Next
											If soundvol>0 Then Sleep 1000											
											put ((y+v-1)*19+72,(x+w-1)*19+52),objects(34),PSet
											Ships=Ships-1
											If Ships=0 Then
												youwin
												dead=1
											EndIf
											A(X+W,Y+V)=0
											A(X,Y)=0
											objectx(x,y)=0
											objecty(x,y)=0												
											put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
											moveflag2=1
											moveflag=1
										EndIf
									Case 6
										If RND<.8 Then
											getnewheading(x,y,w,v)
										Else
											Line (485,60)-(884,450),RGB(0,0,0),bf
											put (485,60),smattackship,PSet											
											put ((y-1)*19+72,(x-1)*19+52),objects(30),PSet
											displayconsole("*** Ship eaten by a sea monster "+Namestring+"!! ***")
											If soundvol>0 Then 
												playsampled(SeaMonstermiss)
											Else
												Sleep 250,1
											EndIf
											Ships=Ships-1
											If Ships=0 Then
												youwin
												dead=1
											EndIf
											A(X,Y)=0
											objectx(x,y)=0
											objecty(x,y)=0												
											put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
											moveflag2=1
											moveflag=1
										EndIf
									Case Else
										getnewheading(x,y,w,v)
										displayconsole("Error "+Str(a(x,y)))
										If soundvol>0 Then playsampled(CriticalAlarm)
										If soundvol>0 Then playsampled(CriticalAlarm)
										If soundvol>0 Then playsampled(CriticalAlarm)
								End Select
							Loop Until moveflag2=1
						EndIf
					EndIf
					If moveflag=0 Then
						If A(X,Y)=6 Then
							If (objectx(x,y)<>0 Or objecty(x,y)<>0) And movementtype=2 Then
								m1=objectx(x,y)
								m2=objecty(x,y)
							EndIf
							moveflag2=0
							If X+M1<1 Or X+M1>21 Or Y+M2<1 Or Y+M2>21 Then 
								newmonsterheading (x,y,m1,m2)
							Else 
								If Rnd>.8 Then newmonsterheading (x,y,m1,m2)
							EndIf
							Do
								Select Case As Const A(X+M1,Y+M2)
									Case 0
										put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(smfacing(m1,m2,0)),PSet
										A(X+M1,Y+M2)=6
										objectx(X+M1,Y+M2)=M1
										objecty(X+M1,Y+M2)=M2
										put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
										A(X,Y)=0
										objectx(x,y)=0
										objecty(x,y)=0
										moveflag2=1
										Sleep 100,1
									Case 1
										newmonsterheading (x,y,m1,m2)
									Case 2
										If soundvol>0 Then playsampled(SeaMonster)
										youlose
										displaymainconsole("RESET")
										displaymainconsole("*** You've been eaten by a sea monster "+Namestring+"!! ***")
										displaymainconsole(" ")
										shipsremaining
										gameexit=1
										dead=1
										moveflag2=1
									Case 3
										If RND>.2 Then
											newmonsterheading (x,y,m1,m2)
										Else
											Line (485,60)-(884,450),RGB(0,0,0),bf
											put (485,60),smattackship,PSet												
											put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(30),PSet
											displayconsole("*** Ship eaten by a sea monster "+Namestring+"!! ***")
											If soundvol>0 Then 
												playsampled(SeaMonstermiss)
											Else
												Sleep 250,1
											EndIf
											Ships=Ships-1
											If Ships=0 Then
												youwin
												dead=1
											EndIf
											Put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(smfacing(m1,m2,0)),PSet
											A(X+M1,Y+M2)=6
											objectx(X+M1,Y+M2)=M1
											objecty(X+M1,Y+M2)=M2
											put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
											A(X,Y)=0
											objectx(x,y)=0
											objecty(x,y)=0											
											moveflag2=1
										EndIf
									Case 4
										Line (485,60)-(884,450),RGB(0,0,0),bf
										put (485,60),smhq,PSet	
										put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(30),PSet
										displayconsole("*** A sea monster ate your headquarters "+Namestring+"!! ***")
										If soundvol>0 Then playsampled(SeaMonstermiss)
										S3=0
										S4=0
										Docks=0
										put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(smfacing(m1,m2,0)),PSet
										A(X+M1,Y+M2)=6
										objectx(X+M1,Y+M2)=M1
										objecty(X+M1,Y+M2)=M2
										A(X,Y)=0
										objectx(x,y)=0
										objecty(x,y)=0											
										put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
										moveflag2=1										
									Case 5
										Line (485,60)-(884,450),RGB(0,0,0),bf
										put (485,60),sm,PSet											
										put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(30),PSet
										displayconsole("*** A sea monster ate a mine "+Namestring+"!! ***")
										If soundvol>0 Then 
											playsampled(SeaMonstermiss)
										Else
											Sleep 250,1
										EndIf
										put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(smfacing(m1,m2,0)),PSet
										A(X+M1,Y+M2)=6
										objectx(X+M1,Y+M2)=M1
										objecty(X+M1,Y+M2)=M2
										put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
										A(X,Y)=0
										objectx(x,y)=0	
										objecty(x,y)=0											
										moveflag2=1												
									Case 6
										If RND<.75 Then
											newmonsterheading (x,y,m1,m2)
										Else
											Line (485,60)-(884,450),RGB(0,0,0),bf
											put (485,60),smfight,PSet												
											tempstring="*** a sea monster fight "+Namestring+"!!! "
											If RND<.8 Then
												tempstring=tempstring+"It's a tie!! ***"
												displayconsole(tempstring)
												newmonsterheading (x,y,m1,m2)
											Else
												tempstring=tempstring+"And one dies!! ***"
												displayconsole(tempstring)
												put ((y+m2-1)*19+72,(x+m1-1)*19+52),objects(smfacing(m1,m2,0)),PSet
												A(X+M1,Y+M2)=6
												objectx(X+M1,Y+M2)=M1
												objecty(X+M1,Y+M2)=M2
												put ((y-1)*19+72,(x-1)*19+52),objects(34),PSet
												A(X,Y)=0
												objectx(x,y)=0	
												objecty(x,y)=0											
												moveflag2=1													
											EndIf
											If soundvol>0 Then playsampled(SeaMonstermiss)
										EndIf
									Case Else
										newmonsterheading (x,y,m1,m2)
										displayconsole("Error "+Str(a(x,y)))
										If soundvol>0 Then playsampled(CriticalAlarm)
										If soundvol>0 Then playsampled(CriticalAlarm)
										If soundvol>0 Then playsampled(CriticalAlarm)
								End Select
							Loop Until moveflag2=1
						EndIf
					EndIf
				EndIf
			Next
		Next
		If gameexit=0 Then
			repairflag=0
			For Y= 1 To 9
				X=INT(RND*9)+1
				old=damage(x)
				Damage(X)=Damage(X)+(RND*(2+RND*2))*(1+(-(Depth<51)OR-(Depth>2000)))*(-(Damage(X)<3))
				If damage(x)>=0 And old<0 Then 
					If damage(6)>=0 And crew>3 Then
						repairflag=1
						displayconsole("Damage control reports "+subsystem(x)+" has been repaired "+namestring+"!")
					EndIf
				EndIf
			Next
			If repairflag=1 And soundvol>0 Then playsampled(Repaired)
			
			' Reset Torpedo lights
			For x=1 To 2
				If torps=0 Then 
					torpedo(x)=0
				EndIf
				If torps=1 Then
					If torpedo(2)>0 Then torpedo(1)=-1
					If torpedo(1)>0 Then torpedo(2)=-1
					If torpedo(x)<1 Then torpedo(x)=torpedo(x)+1
					If torpedo(2)>0 Then torpedo(1)=-1
					If torpedo(1)>0 Then torpedo(2)=-1
				EndIf
				If torps>1 Then
					If torpedo(x)<1 Then torpedo(x)=torpedo(x)+1
				EndIf
			Next
		EndIf
	EndIf

End Sub

Sub getnewheading (ByRef x As Integer, ByRef y As Integer, ByRef w As Integer, ByRef v As Integer)

	Dim x0 As Integer
	Dim count As Integer

	Do 
		count=count+1
		Restore
		For CV = 1 To 16
			Read tempstring
		Next
		For X0=1 To INT(RND*8)+1
			Read W,V
		Next		
	Loop Until ((X+W>0 And X+W<22 And Y+V>0 And Y+V<22) Or (count>10000))
	If count>10000 Then 
		displayconsole("Error finding ship new heading "+Str(x)+" "+Str(y)+" "+Str(w)+" "+Str(v))
		If soundvol>0 Then playsampled(CriticalAlarm)
		If soundvol>0 Then playsampled(CriticalAlarm)
		If soundvol>0 Then playsampled(CriticalAlarm)
		Sleep
		program_exit
	EndIf		
	
End Sub

Sub newmonsterheading (byref x As integer,ByRef y As integer,ByRef m1 As integer,ByRef m2 As integer)
	
	Dim x0 As Integer
	Dim count As Integer

	Do 
		count=count+1
		Restore
		For CV = 1 To 16
			Read tempstring
		Next
		For X0=1 To INT(RND*8)+1
			Read M1,M2
		Next		
	Loop Until ((X+m1>0 And X+m1<22 And Y+m2>0 And Y+m2<22) Or (count>10000))
	If count>10000 Then 
		displayconsole("Error finding monster new heading "+Str(x)+" "+Str(y)+" "+Str(m1)+" "+Str(m2))
		If soundvol>0 Then playsampled(CriticalAlarm)
		If soundvol>0 Then playsampled(CriticalAlarm)
		If soundvol>0 Then playsampled(CriticalAlarm)
		Sleep
		program_exit
	EndIf	
	
End Sub


